function optionDisplayChange(disabled,checked,value)
{
	var totalOption = 9;
	for(var x=0; x<totalOption; x++){
		option = document.getElementsByName('attr_enable_'+x);
		option[0].disabled = disabled;
		option[0].checked = checked;
		option[0].value = value;
	}
	return;
}

function onAdd()
{
	if( document.cartform.mode.value != 'add' )
	{
		document.getElementById('tab_add').className = 'tabselected';
		document.getElementById('tab_edit').className = 'tab';
		document.getElementById('tab_view').className = 'tab';
		with( document.cartform )
		{
			mode.value = 'add';

			description.value = '';
			description.disabled = false;
			description.style.background = '#FFFFFF';
			price.value = '';
			price.disabled = false;
			price.style.background = '#FFFFFF';
			plan.selectedIndex = 0;
			plan.disabled = false;
			plan.style.background = '#FFFFFF';
			existing_description.selectedIndex = -1;
			existing_description.disabled = true;
			existing_description.style.background = '#DDDDDD';

			recurring_enable.disabled = false;
			recurring_enable.checked = false;
			recurring_enable.value = 0;
			interval.disabled = true;
			interval.value = '';
			interval.style.background = '#DDDDDD';
			interval_unit.disabled = true;
			interval_unit.style.background = '#DDDDDD';
			recurring_method[0].disabled = true;
			recurring_method[1].disabled = true;
			fixed_number.disabled = true;
			fixed_number.value = '';
			fixed_number.style.background = '#DDDDDD';
			
			useMethod[0].disabled = false;
			useMethod[1].disabled = false;
			// default value
			useMethod[0].checked = true;
			select_after_type.selectedIndex = 0;
			select_bt_type.selectedIndex = 0;
			changeUseMethod();
			btOnclick();
			// Item attributesfor(int x=0; x<totalOption; x++){
			optionDisplayChange(false,false,0);
			for(j=0; j<=8;j++){
				onAttributes(j, false);
			}
		}
		var seg=document.getElementsByName('segment[]');
		if(seg.length == 1) {   // no multiple segment
			seg[0].checked = false;
			seg[0].disabled = true;
		}
		else {
			for (i=0; i<seg.length; i++) {
				seg[i].checked = false;
				seg[i].disabled = false;
			}
		}
	}
}

function onEdit()
{
	if( document.cartform.mode.value != 'edit' )
	{
		document.getElementById('tab_add').className = 'tab';
		document.getElementById('tab_edit').className = 'tabselected';
		document.getElementById('tab_view').className = 'tab';
		with( document.cartform )
		{
			mode.value = 'edit';

		// 20070713 - disable editing of description field
			description.value = '';
			description.disabled = true;
			description.style.background = '#DDDDDD';
			price.value = '';
			price.disabled = false;
			price.style.background = '#FFFFFF';
			plan.selectedIndex = -1;
			plan.disabled = false;
			plan.style.background = '#FFFFFF';
//			existing_description.selectedIndex = -1;	// 20150610 - cancel reset list box
			existing_description.disabled = false;
			existing_description.style.background = '#FFFFFF';

			recurring_enable.disabled = false;
			recurring_enable.checked = false;
			recurring_enable.value = 0;
			interval.disabled = true;
			interval.value = '';
			interval.style.background = '#DDDDDD';
			interval_unit.disabled = true;
			interval_unit.style.background = '#DDDDDD';
			recurring_method[0].disabled = true;
			recurring_method[1].disabled = true;
			fixed_number.disabled = true;
			fixed_number.value = '';
			fixed_number.style.background = '#DDDDDD';
			
			useMethod[0].disabled = false;
			useMethod[1].disabled = false;
			// default value
			useMethod[0].checked = true;
			select_after_type.selectedIndex = 0;
			select_bt_type.selectedIndex = 0;
			changeUseMethod();
			btOnclick();
			// Item attributes
			optionDisplayChange(false,false,0);
			for(j=0; j<=8;j++){
				onAttributes(j, false);
			}
			mloginOption();
		}
		var seg=document.getElementsByName('segment[]');
		if(seg.length == 1)  {  // no multiple segment
			seg[0].checked = false;
			seg[0].disabled = true;
		}
		else {
			for (i=0; i<seg.length; i++) {
				seg[i].checked = false;
				seg[i].disabled = false;
			}		
		}
		onSelectBox(document.cartform.existing_description);
	}
}

function onView()
{
	if( document.cartform.mode.value != 'view' )
	{
		// remark: do not reset to default value here
		document.getElementById('tab_add').className = 'tab';
		document.getElementById('tab_edit').className = 'tab';
		document.getElementById('tab_view').className = 'tabselected';
		
		var seg=document.getElementsByName('segment[]');
		if(seg.length == 1)  {  // no multiple segment
			seg[0].checked = false;
			seg[0].disabled = true;
		}
		else {
			for (i=0; i<seg.length; i++) {
				seg[i].checked = false;
				seg[i].disabled = true;
			}		
		}

		with( document.cartform )
		{
			mode.value = 'view';

			description.value = '';
			description.disabled = true;
			description.style.background = '#DDDDDD';
			price.value = '';
			price.disabled = true;
			price.style.background = '#DDDDDD';
			plan.selectedIndex = -1;
			plan.disabled = true;
			plan.style.background = '#DDDDDD';
			if(existing_description.selectedIndex < 0)
				existing_description.selectedIndex = 0;
			existing_description.disabled = false;
			existing_description.style.background = '#FFFFFF';

			recurring_enable.disabled = true;
			recurring_enable.checked = true;
			recurring_enable.value = 0;
			interval.disabled = true;
			interval.value = '';
			interval.style.background = '#DDDDDD';
			interval_unit.disabled = true;
			interval_unit.style.background = '#DDDDDD';
			recurring_method[0].disabled = true;
			recurring_method[1].disabled = true;
			fixed_number.disabled = true;
			fixed_number.value = '';
			fixed_number.style.background = '#DDDDDD';
			
			useMethod[0].disabled = true;
			useMethod[1].disabled = true;
			// default value
			useMethod[0].checked = true;
			select_after_type.selectedIndex = 0;
			select_bt_type.selectedIndex = 0;
			changeUseMethod();
			btOnclick();
			// Item attributes
			optionDisplayChange(true,false,0);
			for(j=0; j<=8;j++){
				onAttributes(j, false);
			}
			
			if(existing_description.options[0])
				onSelectBox(existing_description);

		}
	}
}

function onDelete()
{
	if( document.cartform.mode.value != 'del' )
	{
		document.cartform.mode.value = 'del';
		document.cartform.submit();
	}
}

function displayInfo(description, price, plan, recurring_enable, interval, interval_unit, recurring_method, fixed_number, segment_ip, useMethod, attr_timeleft, attr_edate, attr_etime, attr_mins, attr_cmb_time, attr_usr_bt_mode, attr_bt_num, attr_bt_num_dl, attr_bwquota, attr_bwquota_dl, attr_bwquota_sha, attr_monthly_pass, attr_mlogin)
{
	var seg_array = segment_ip.split(",");
	var oForm = document.cartform;

	oForm.description.value = description;
	oForm.price.value = price;
	oForm.plan.value = plan;
	oForm.recurring_enable.value = recurring_enable;
	oForm.interval.value = interval;
	oForm.interval_unit.value = interval_unit;

	if (interval_unit == 'days')
		oForm.interval_unit.selectedIndex = 0;
	else if (interval_unit == 'weeks')
		oForm.interval_unit.selectedIndex = 1;
	else if (interval_unit == 'months')
		oForm.interval_unit.selectedIndex = 2;
	else if (interval_unit == 'years')
		oForm.interval_unit.selectedIndex = 3;
	oForm.recurring_method.value = recurring_method;
	oForm.fixed_number.value = fixed_number;

	if (recurring_method == 'infinite')
		oForm.recurring_method[0].checked = true;
	else if (recurring_method == 'fixed')
		oForm.recurring_method[1].checked = true;
	else
		oForm.recurring_method[0].checked = true;

	if (recurring_enable == '0')
	{
		oForm.recurring_enable.checked = false;
		oForm.interval.disabled = true;
		oForm.interval.style.background = '#DDDDDD';
		oForm.interval_unit.disabled = true;
		oForm.interval_unit.style.background = '#DDDDDD';
		oForm.recurring_method[0].disabled = true;
		oForm.recurring_method[1].disabled = true;
		oForm.fixed_number.disabled = true;
		oForm.fixed_number.style.background = '#DDDDDD';
	}
	else
	{
		oForm.recurring_enable.checked = true;
		if (oForm.mode.value == 'edit' )
		{
			oForm.interval.disabled = false;
			oForm.interval.style.background = '#FFFFFF';
			oForm.interval_unit.disabled = false;
			oForm.interval_unit.style.background = '#FFFFFF';
			oForm.recurring_method[0].disabled = false;
			oForm.recurring_method[1].disabled = false;
			oForm.fixed_number.disabled = false;
			oForm.fixed_number.style.background = '#FFFFFF';
		}
	}

	var seg=document.getElementsByName('segment[]');
	//clear all chechbox
	for(y=0; y<seg.length;y++)
	{
		seg[y].checked = false;
	}
	if(seg_array[0] != '*')
	{
		if(seg_array[0]=='') {  //cart for all segments
			if(seg.length == 1)
				seg.checked = true;
			else
				seg[0].checked = true;
		}
		else
		{
			for(i=0;i<seg_array.length;i++)
			{
				if(seg_array[i]!='')
					seg[parseInt(seg_array[i])+1].checked = true;
			}
		}
	}
	
	if (useMethod == 1){ // use item attribute
		oForm.useMethod[0].checked = true;
		changeUseMethod();
		if (attr_mlogin != ""){
			oForm.attr_enable_0.checked = true;
			if(attr_mlogin == "0")
				oForm.attr_mlogin.value = "";
			else
				oForm.attr_mlogin.value = attr_mlogin;
		}
		else{
			oForm.attr_enable_0.checked = false;
			oForm.attr_mlogin.value = "";
		}
		if (attr_timeleft > 0 && attr_timeleft != ""){
			oForm.attr_enable_1.checked = true;
			oForm.attr_timeleft.value = attr_timeleft;
		}
		else{
			oForm.attr_enable_1.checked = false;
			oForm.attr_timeleft.value = "";
		}
		if (attr_edate !="" && attr_etime !=""){
			oForm.attr_enable_2.checked = true;
			oForm.attr_exp_date.value = attr_edate;
			oForm.attr_exp_time.value = attr_etime;
		}
		else{
			oForm.attr_enable_2.checked = false;
			oForm.attr_exp_date.value = "";
			oForm.attr_exp_time.value = "";
		}
		if (attr_mins > 0 && attr_mins != ""){
			oForm.attr_enable_3.checked = true;
			oForm.attr_after_value.value = attr_mins;
			if(attr_cmb_time=='minutes')
				oForm.select_after_type.selectedIndex = 0;
			else if(attr_cmb_time=='hours')
				oForm.select_after_type.selectedIndex = 1;
			else if (attr_cmb_time=='days')
				oForm.select_after_type.selectedIndex = 2;
		}
		else{
			oForm.attr_enable_3.checked = false;
			oForm.attr_after_value.value = "";
			oForm.select_after_type.selectedIndex = 0;
		}
		
		if (attr_usr_bt_mode != -1 && attr_usr_bt_mode != ""){
			oForm.select_bt_type.selectedIndex = attr_usr_bt_mode;
			if (attr_usr_bt_mode==5) { //specify bandwidth throttling
				oForm.attr_bt_num.value=attr_bt_num;
				oForm.attr_bt_num_dl.value=attr_bt_num_dl;
			}
			oForm.attr_enable_4.checked = true;
		}
		else{
			oForm.attr_enable_4.checked = false;
			oForm.select_bt_type.selectedIndex = 0;
			oForm.attr_bt_num.value = "";
			oForm.attr_bt_num_dl.value= "";
		}
		
		if (attr_bwquota > 0 && attr_bwquota != ""){
			oForm.attr_enable_5.checked = true;
			oForm.attr_bwquota.value = attr_bwquota;
		}
		else{
			oForm.attr_enable_5.checked = false;
			oForm.attr_bwquota.value = "";
		}
		if (attr_bwquota_dl > 0 && attr_bwquota_dl != ""){
			oForm.attr_enable_6.checked = true;
			oForm.attr_bwquota_dl.value = attr_bwquota_dl;
		}
		else{
			oForm.attr_enable_6.checked = false;
			oForm.attr_bwquota_dl.value = "";
		}
		if (attr_bwquota_sha > 0 && attr_bwquota_sha != ""){
			oForm.attr_enable_7.checked = true;
			oForm.attr_bwquota_sha.value = attr_bwquota_sha;
		}
		else{
			oForm.attr_enable_7.checked = false;
			oForm.attr_bwquota_sha.value = "";
		}
		if (attr_monthly_pass > 0 && attr_monthly_pass !=""){
			oForm.attr_enable_8.checked = true;
			oForm.attr_monthly_pass.value = attr_monthly_pass;
		}
		else{
			oForm.attr_enable_8.checked = false;
			oForm.attr_monthly_pass.value = "";
		}
		
		keepDisabled = true;
		
		if (oForm.mode.value == 'edit'){
			keepDisabled = false;
		}
		
		for(j=0; j<=8;j++){
			onAttributes(j, keepDisabled);
		}
		mloginOption();
	}
	else{ // use plan
		oForm.useMethod[1].checked = true;
		changeUseMethod();
		oForm.attr_enable_1.checked = false;
		oForm.attr_enable_2.checked = false;
		oForm.attr_enable_3.checked = false;
		oForm.attr_enable_4.checked = false;
		oForm.attr_enable_5.checked = false;
		oForm.attr_enable_6.checked = false;
		oForm.attr_enable_7.checked = false;
		oForm.attr_enable_8.checked = false;
		oForm.attr_timeleft.value = "";
		oForm.attr_exp_date.value = "";
		oForm.attr_exp_time.value = "";
		oForm.attr_after_value.value = "";
		oForm.select_after_type.selectedIndex = 0;
		oForm.select_bt_type.selectedIndex = 0;
		oForm.attr_bt_num.value = "";
		oForm.attr_bt_num_dl.value= "";
		oForm.attr_bwquota.value = "";
		oForm.attr_bwquota_dl.value = "";
		oForm.attr_bwquota_sha.value = "";
		oForm.attr_monthly_pass.value = "";
		
		keepDisabled = true;
	
		if (oForm.mode.value == 'edit'){
			keepDisabled = false;
		}
		
		for(j=0; j<=8;j++){
			onAttributes(j, keepDisabled);
		}
		mloginOption();
	}
}

function onRecurrEnable()
{
	with( document.cartform )
	{
		if (recurring_enable.checked == true)
		{
			recurring_enable.value = 1;
			interval.disabled = false;
			interval.style.background = '#FFFFFF';
			interval_unit.disabled = false;
			interval_unit.style.background = '#FFFFFF';
			recurring_method[0].disabled = false;
			recurring_method[1].disabled = false;
			fixed_number.disabled = false;
			fixed_number.style.background = '#FFFFFF';
		}
		else
		{
			recurring_enable.value = 0;
			interval.disabled = true;
			interval.value = '';
			interval.style.background = '#DDDDDD';
			interval_unit.disabled = true;
			interval_unit.style.background = '#DDDDDD';
			recurring_method[0].disabled = true;
			recurring_method[1].disabled = true;
			fixed_number.disabled = true;
			fixed_number.style.background = '#DDDDDD';
			fixed_number.value = '';
		}
	}
}

function onSelectRecurring()
{
	if (document.cartform.infinite.checked == true)
		document.cartform.fixed.checked = false;
	else
		document.cartform.fixed.checked = true;
}

function changeUseMethod()
{
	if ( document.cartform.useMethod[0].checked == true){ // using item attribute
		document.getElementById('useItemAttr').style.display = '';
		document.getElementById('usePlan').style.display = 'none';
	}
	else if ( document.cartform.useMethod[1].checked == true){  // using plan
		document.getElementById('useItemAttr').style.display = 'none';
		document.getElementById('usePlan').style.display = '';
	}
}

function onAttributes(m, keepDisable)
{
	with( document.cartform )
	{
		if (m == 0){ // multiple login
			if (attr_enable_0.checked == true){
				if (keepDisable == false){
					attr_mlogin.disabled = false;
					attr_mlogin.style.background = '#FFFFFF';
				}
			}
			else{
				attr_mlogin.disabled = true;
				attr_mlogin.value = "";
				attr_mlogin.style.background = '#DDDDDD';
			}
		}
		if (m == 1){ // access minutes
			if (attr_enable_1.checked == true){
				if (keepDisable == false){
					attr_timeleft.disabled = false;
					attr_timeleft.style.background = '#FFFFFF';
				}
			}
			else{
				attr_timeleft.disabled = true;
				attr_timeleft.value = "";
				attr_timeleft.style.background = '#DDDDDD';
			}
		}
		else if (m == 2){ // expire date
			if (attr_enable_2.checked == true){
				if (keepDisable == false){
					attr_exp_date.disabled = false;
					attr_exp_time.disabled = false;
					attr_exp_date.style.background = '#FFFFFF';
					attr_exp_time.style.background = '#FFFFFF';
				}
			}
			else{
				attr_exp_date.disabled = true;
				attr_exp_time.disabled = true;
				attr_exp_date.value = "";
				attr_exp_time.value = "";
				attr_exp_date.style.background = '#DDDDDD';
				attr_exp_time.style.background = '#DDDDDD';
			}
		}
		else if (m == 3){ // After
			if (attr_enable_3.checked == true){
				if (keepDisable == false){
					attr_after_value.disabled = false;
					attr_after_value.style.background = '#FFFFFF';
					select_after_type.disabled = false;
					select_after_type.style.background = '#FFFFFF';
				}
			}
			else{
				attr_after_value.disabled = true;
				attr_after_value.value = "";
				attr_after_value.style.background = '#DDDDDD';
				select_after_type.disabled = true;
				select_after_type.style.background = '#DDDDDD';
			}
		}
		else if (m == 4){ // bandwidth throttling
			if (attr_enable_4.checked == true){
				if (keepDisable == false){
					select_bt_type.disabled = false;
					select_bt_type.style.background = '#FFFFFF';
					btOnclick();
					attr_bt_num.disabled = false;
					attr_bt_num_dl.disabled = false;
					attr_bt_num.style.background = '#FFFFFF';
					attr_bt_num_dl.style.background = '#FFFFFF';
				}
				else{
					btOnclick();
				}
			}
			else{
				select_bt_type.disabled = true;
				select_bt_type.style.background = '#DDDDDD';
				btOnclick();
				attr_bt_num.disabled = true;
				attr_bt_num_dl.disabled = true;
				attr_bt_num.style.background = '#DDDDDD';
				attr_bt_num_dl.style.background = '#DDDDDD';
			}
		}
		else if (m == 5){ // upload quota
			if (attr_enable_5.checked == true){
				if (keepDisable == false){
					attr_bwquota.disabled = false;
					attr_bwquota.style.background = '#FFFFFF';
				}
			}
			else{
				attr_bwquota.disabled = true;
				attr_bwquota.value = "";
				attr_bwquota.style.background = '#DDDDDD';
			}
		}
		else if (m == 6){ // dl quota
			if (attr_enable_6.checked == true){
				if (keepDisable == false){
					attr_bwquota_dl.disabled = false;
					attr_bwquota_dl.style.background = '#FFFFFF';
				}
			}
			else{
				attr_bwquota_dl.disabled = true;
				attr_bwquota_dl.value = "";
				attr_bwquota_dl.style.background = '#DDDDDD';
			}
		}
		else if (m == 7){ // total quota
			if (attr_enable_7.checked == true){
				if (keepDisable == false){
					attr_bwquota_sha.disabled = false;
					attr_bwquota_sha.style.background = '#FFFFFF';
				}
			}
			else{
				attr_bwquota_sha.disabled = true;
				attr_bwquota_sha.value = "";
				attr_bwquota_sha.style.background = '#DDDDDD';
			}
		}
		else if (m == 8){ // top up
			if (attr_enable_8.checked == true){
				if (keepDisable == false){
					attr_monthly_pass.disabled = false;
					attr_monthly_pass.style.background = '#FFFFFF';
				}
			}
			else{
				attr_monthly_pass.disabled = true;
				attr_monthly_pass.value = "";
				attr_monthly_pass.style.background = '#DDDDDD';
			}
		}
	}
}

function btOnclick()
{
	with( document.cartform )
	{
		if (select_bt_type.value == "specify"){	// need specific input UL and DL bandwidth throttling
			document.getElementById('r_attr_bt_num').style.display = '';
			document.getElementById('r_attr_bt_num_dl').style.display = '';
		}
		else{
			document.getElementById('r_attr_bt_num').style.display = 'none';
			document.getElementById('r_attr_bt_num_dl').style.display = 'none';
			attr_bt_num.value = "";
			attr_bt_num_dl.value = "";
		}
		
	}
}

function mloginOption()
{
	var mloginOff = false;
	if(document.cartform.mode.value == 'view')
		return;
	with( document.cartform ){
		if(attr_enable_0.checked)
			mloginOff			= true;
		
		attr_enable_1.disabled	= mloginOff;
		attr_enable_5.disabled	= mloginOff;
		attr_enable_6.disabled	= mloginOff;
		attr_enable_7.disabled	= mloginOff;
		
		if(mloginOff){
			attr_enable_1.checked				= false;
			attr_timeleft.disabled				= true;
			attr_timeleft.value					= '';
			attr_timeleft.style.background		= '#DDDDDD';
			attr_enable_5.checked				= false;
			attr_bwquota.disabled				= true;
			attr_bwquota.value					= '';
			attr_bwquota.style.background		= '#DDDDDD';
			attr_enable_6.checked				= false;
			attr_bwquota_dl.disabled			= true;
			attr_bwquota_dl.value				= '';
			attr_bwquota_dl.style.background	= '#DDDDDD';
			attr_enable_7.checked				= false;
			attr_bwquota_sha.disabled			= true;
			attr_bwquota_sha.value				= '';
			attr_bwquota_sha.style.background	= '#DDDDDD';
		}
	}
}