<?php

require_once "fs_lang.php";
require_once 'generate_common.php';
include_once "fs_cart.php";

// running time (for calculate prorata use)
$current_time = time();

// 20100526 - Block Free Access users
// 20090427 - Block if RADIUS mode
$settingObj = new COM('FSCONFIG.Cfgmgr') or die('cart.php FSCONFIG.Cfgmgr Object cannot be created!');
$payment_method = $settingObj->getKey("payment_method", "creditcard");
$useRadius = $settingObj->getKey('use_radius', 'radius');
$settingObj = null;
if (strtolower($useRadius) == 'true') {
	$inputStr = '<span class="boldtextspan">'.get_var('cart_radius_not_support').'</span><br>';
	GenTable('', $inputStr, '');
} else {
	$qResult = db_query("SELECT faflag, acctype FROM ".fs_usr_table()." WHERE name='$username'");
	if (odbc_fetch_row($qResult)) {
		$faflag = round(odbc_result($qResult,'faflag'));
		$acctype = round(odbc_result($qResult,'acctype'));
		if ($faflag == 1) {
			$inputStr = '<span class="boldtextspan">'.get_var('cart_free_access_not_support').'</span><br>';
			GenTable('', $inputStr, '');
		}
		else if ($acctype == 5) { // user is created by multiple logins
			$inputStr = '<span class="boldtextspan">'.get_var('cart_multiple_login_not_support').'</span><br>';
			GenTable('', $inputStr, '');
		}
	}
}

// 20080403 - Collect dynamic HTML content for layout
$smarty = new SmartyConnect;
$smarty->assign('L_CART_CHARSET', metaCharset());
$smarty->assign('L_CART_WELCOME', get_var('cart_welcome'));
$smarty->assign('CART_USERNAME', $username);
$smarty->assign('CART_CODE', $code);	//\\ 20120815 - Store code from fs_cart.php to HTML page
$smarty->assign('L_CART_CHECK_TIMELEFT', get_var('cart_check_timeleft'));
$smarty->assign('L_CART_CHECK_TXN', get_var('cart_check_txn'));
$smarty->assign('CART_LOCAL_SITE_ADDR', fs_local_site_address());
$smarty->assign('L_CART_SHOPPING_CART', get_var('cart_shopping_cart'));
$smarty->assign('L_CART_DESC', get_var('cart_desc'));
$smarty->assign('L_CART_PRICE', get_var('cart_price'));
$smarty->assign('L_CART_CURRENCY', GetCurrency());
$smarty->assign('L_CART_ROW', createRows($username, $current_time)); /*dynamically generate shopping cart items*/
$smarty->assign('CART_CHECKOUT', get_var('cart_checkout'));
$smarty->assign('J_COMMON', $j_common);
$smarty->assign('CART_TIME', $current_time);

if($payment_method=="webpay")
	{
	$webpayScript='<script>
		function validateEmail() {
			var input = document.form1.webpay_email.value;
			var match_empty = new RegExp(/\b[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}\b/);	
			if(input != "")
			{
				if (!input.match(match_empty))
				{
					alert ("Please input the valid email address");		
					return false;
				}
			}
			else 
			{
				alert ("Please input the valid email address")
				return false;
			}
		}
		</script>';
	$webpayEmail =	'<span class="textspan">Email Address: </span>
					<input type="text" name="webpay_email">
					<p><b><span class="textspan">Note:</b> We will send the successful transaction email to you.</p></span>';
	$webpayPicture=	'	<img border="0" src="interswitch.GIF" alt="interswitch" width="100" height="30" ><br>';
	}
else 
	{
	$webpayScript="";
	$webpayEmail="";
	$webpayPicture="";
	}
	
$smarty->assign('webpayScript', $webpayScript);
$smarty->assign('webpayEmail', $webpayEmail);
$smarty->assign('webpayPicture', $webpayPicture);
// 20080403 - Move layout content and include the file here
$smarty->display('cart_body.tpl');

?>
