<?php

// 2017-02-02 Function for deleting a directory and everythings in it
function delDirNFileInIt($dirPath)
{	// Quit if "dirPath" is not a directory
	if (!is_dir($dirPath))
		return;

	// Adding '\' before using glob 
	if (substr($dirPath, -1) != '\\')
		$dirPath .= '\\';

	// Getting all files path in the directory as an string array
	$files = glob($dirPath.'*', GLOB_MARK);

	// Deleting files one by one
	foreach ($files as $file) {
		// Calling this function itself if "file" is another directory
		// Do not stop for any fail
		if (is_dir($file))
			delDirNFileInIt($file);
		else
			@unlink($file);
		// ^^^ Deleting file ^^^
	}

	// Deleting the folder ("rmdir" function would delete EMPTY DIRECTORY only, that's why above code exist)
	@rmdir($dirPath);
	return;
}

include_once("cmvar.php");

//Get lUExtracting flag from argv(run by php.exe)
if($argc > 1 && strcmp($argv[1], "lUExtracting")==0)
	$lUExtracting=0;

// security check except extraction
if(!isset($lUExtracting))
	require_once 'secureLogin.php';

// Text in button or something else
$luText	= '';
//$luText	= get_cm_var('setcfg_lub_liveUpdate_btn');
$buyMLnk= '<a href="http://patronsoft.com/firstspot/buy_now_3.html" target="_blank">'.get_cm_var('setcfg_lub_buy_maint').'</a>';

// Flag for switching below process
$luflag = 'liveUpdate';

// Flag of the live update button page
$startFlag = 1;

// For display download status
$progress	= 0;
$max		= 0;
$percentNum	= 0;
$barStyle	= 'dlsBlue';
//$submitSty	= 'udbtnS';
$submitSty	= 'msgWhite';
$sBLenStr	= ' style="display: none"';
$rBLenStr	= ' style="display: none"';
$cBLenStr	= ' style="display: none"';
$FSOName	= '';
$tmpRlt		= '';
$dlDisabled	= '';

// CSS
$lBtnWidth	= 450;
$sBtnWidth	= 130;
$btnBorder	= 5;
$isMsg		= false;

// Restart button display
$showRestart= ' style="display: none"';
//$showRestart= '';

// Buy maintenance contract button display
$showBuyMain= ' style="display: none"';
//$showBuyMain= '';

// JavaScript of ajax action or something else
$lUJScript = '<script type="text/javascript">
		var dlsMsg	= 0;
		var xhttp	= new XMLHttpRequest();
		var data	= new FormData();
		data.append("getDLStatus",0);

		function closeLUB()
		{
			var doAbort	= false;
			if(typeof(document.FSLUBtn.lUNotDone) !== "undefined")
			{
				doAbort	= true;
				if(document.FSLUBtn.lUNotDone.value != "3" && !confirm("'.get_cm_var('setcfg_lub_cancel_dialog').'"))
					return false;
			}

			if(doAbort)
			{
				parent.parent.onbeforeunload = null;
				////parent.parent.onunload = null;
				xhttp.abort();
				document.FSLUBtn.lUNotDone.value = 1;
				document.FSLUBtn.submit();
			}
			// hide in-browser dialog
			parent.parent.frame_top.document.getElementById("pageCover").style.display = "none";
			parent.parent.frame_top.document.getElementById("pageCoverB").style.display = "none";
			parent.document.getElementById("pageCover").style.display = "none";
			parent.document.getElementById("pageCoverB").style.display = "none";
			parent.document.getElementById("liveUpdateBox").style.display = "none";
			parent.document.body.style.overflow = "auto";
			parent.parent.mid_left.document.getElementById("pageCover").style.display = "none";
			parent.parent.mid_left.document.getElementById("pageCoverB").style.display = "none";
			parent.parent.mid_left.document.documentElement.style.overflow = "auto";
			parent.parent.mid_right_bottom.document.getElementById("pageCover").style.display = "none";
			parent.parent.mid_right_bottom.document.getElementById("pageCoverB").style.display = "none";
			parent.parent.mid_right_bottom.document.documentElement.style.overflow = "none";
			return true;
		}
';

// Value to stop or restart live update
if(!isset($stopUpdate))
	$stopUpdate = 0;
if(!isset($redoUpdate))
	$redoUpdate = 0;

if(!isset($settingobj) || $settingobj == null)
	$settingobj = new COM("FSCONFIG.Cfgmgr") or die("setabout.php FSCONFIG.Cfgmgr Object cannot be created!");

// Force user start live update with localhost
if(($_SERVER["HTTP_HOST"] == "" || strstr($_SERVER["HTTP_HOST"], 'localhost') == false) &&
		($_SERVER["SERVER_NAME"] == "" || strstr($_SERVER["SERVER_NAME"], 'localhost') == false))
{
	$luText		= get_cm_var('setcfg_lub_localhost');
	$luflag		= 'lUNoAction';
	$submitSty	= 'msgRed';
	$dlDisabled	= ' disabled';
	$startFlag	= 0;
}
else
{
	// Abort live update and do more things
	if(isset($lUNotDone) && $lUNotDone > 0)
	{
		$startFlag	= 0;
		// Start update with expired maintenance
		if($lUNotDone == 3)
			$settingobj->startExpireUpdate();
		else
		{	// Kill the process
			$mycmd = "taskkill /f /im FSUpdater.exe";
			exec($mycmd);
		}

		// Restart update handle or stop
		if($lUNotDone != 1)
			$liveUpdate	= 0;
		else
		{
			//$luText		= get_cm_var('setcfg_lub_restart');
			$luText		= '';
			$submitSty	= 'msgWhite';
			$startFlag	= 1;
		}
	}

	if(isset($liveUpdate) || isset($lUNoAction))
	{
		$startFlag	= 0;
		$submitSty	= 'udbtn';
		$luText		= get_cm_var('setcfg_lub_waiting');
		
		// Check if live update program is started
		$mycmd		= "tasklist | find \"FSUpdater.exe\"";
		$tmpRlt		= exec($mycmd);
		if($tmpRlt == "")
		{
			// download live update file to FirstSpot root directory
			$rootPath	= $settingobj->getFsPath();
			// Deleting the old 'Update' folder and 'Update.zip' before download
			delDirNFileInIt($rootPath.'Update\\');
			@unlink($rootPath.'Update.zip');
			// set path of download program 'FSUpdater.exe' in dispatcher folder
			$mycmd		= $rootPath.'dispatcher\\FSUpdater.exe';

			// Match console user with FS owner before any action
			$FSOName	= $settingobj->runCommand($mycmd);
			if($FSOName == "")
			{
				// start program to download asynchronously
				$mycmd		= $mycmd.' /d';
				$settingobj->runCmdAsync($mycmd);
			}
		}

		if($FSOName != "")
		{	// Print error if the username of the FirstSpot installer is not found
			if(strstr($FSOName, '*') == false)
				$luText = get_cm_var('setcfg_lub_wrong_user_L').'['.$FSOName.']'.get_cm_var('setcfg_lub_wrong_user_R');
			else
			{
				if(strstr($FSOName, 'nouser') != false)		// Unexpected error
					$luText = get_cm_var('setcfg_lub_user_notFound');
				else if(strstr($FSOName, 'noowner') != false)
					$luText = get_cm_var('setcfg_lub_owner_notFound');
				else	// Unexpected unknown error
					$luText = get_cm_var('setcfg_lub_user_unknown');
			}
			$submitSty	= 'msgRed';
			$startFlag	= 1;
		}
		else
		{
			$dlDisabled	= ' disabled';
			$luflag		= 'lUNotDone';
			// Ajax refresh script
			$lUJScript .= '
			xhttp.onreadystatechange = function()
			{
				if(this.readyState == 4 && this.status == 200)
				{
					document.getElementById("statusBar").innerHTML = xhttp.responseText;
					if(typeof(document.FSLUBtn.lUNotDone) !== "undefined")
					{
						if(document.FSLUBtn.lUNotDone.value == 3)
						{
							parent.parent.onbeforeunload = null;
							doItBtn();
							buyMBtn();
						}
						else
						{
							if(dlsMsg > 0)
								data.set("getDLStatus",--dlsMsg);
							this.open("POST", "liveUpgradeBtn.php", true);
							this.send(data);
						}
					}
					else if(typeof(document.FSLUBtn.lUNoAction) !== "undefined")
					{
						if(document.FSLUBtn.lUNoAction.value == 0)
						{
							parent.parent.onbeforeunload = null;
							////parent.parent.onunload = null;
							autoHeightContent();
							document.getElementById("dlAction").style.display = "none";
						}
					}
					else if(typeof(document.FSLUBtn.liveUpdate) !== "undefined")
					{
						parent.parent.onbeforeunload = null;
						if(document.FSLUBtn.liveUpdate.value == 3)
							buyMBtn();
					}
				}
			};

			window.onload = function()
			{
				fixHeightContent();
				document.getElementById("dlAction").style.display = "";
				xhttp.open("POST", "liveUpgradeBtn.php", true);
				xhttp.send(data);
			};

			function stopUpgrade()
			{
				xhttp.abort();
				if(typeof(document.FSLUBtn.lUNotDone) !== "undefined")
					document.FSLUBtn.lUNotDone.value = 1;
				document.FSLUBtn.submit();
			}

			function redoUpgrade()
			{
				xhttp.abort();
				if(typeof(document.FSLUBtn.lUNotDone) !== "undefined")
					document.FSLUBtn.lUNotDone.value = 2;
				document.FSLUBtn.submit();
			}

			function doExpireUpgrade()
			{
				xhttp.abort();
				if(typeof(document.FSLUBtn.lUNotDone) !== "undefined")
					document.FSLUBtn.lUNotDone.value = 3;
				document.FSLUBtn.submit();
			}

			function restartBtn()
			{
				document.getElementById("l_button").value = "'.get_cm_var('setcfg_lub_restart_btn').'";
				document.getElementById("l_button").onclick = redoUpgrade;
			}

			function doItBtn()
			{
				document.getElementById("l_button").value = "'.get_cm_var('setcfg_lub_eUpgrade').'";
				document.getElementById("l_button").onclick = doExpireUpgrade;
			}

			function buyMBtn()
			{
				';//document.getElementById("bmAction").style.display = "";
	$lUJScript .= '
			}

			function fixHeightContent()
			{
				var h	= 0;
				if( typeof( window.innerHeight ) == "number" )
				{	//Non-IE
					h = window.innerHeight;
				}
				else if( document.documentElement && document.documentElement.clientHeight )
				{	//IE 6+ in "standards compliant mode"
					h = document.documentElement.clientHeight;
				}
				h -= 60;
				document.getElementById("FSLUBtn").style.height = h+"px";
			}

			function autoHeightContent()
			{
				document.getElementById("FSLUBtn").style.height = "auto";
			}

			parent.parent.onbeforeunload = function()
			{
				return "'.get_cm_var('setcfg_lub_cancel_dialog').'";
			}

			////parent.parent.onunload = function()
			////{
			////	xhttp2.send(data2);
			////}
	';
		}
	}

	// Get download status by ajax
	if(isset($getDLStatus))
	{
		$startFlag	= 0;
		$submitSty	= 'udbtn';
		$luflag		= 'lUNotDone';
		$lufVal		= '0';
		$btnType	= 'submit';

		// read download status from FSUpdater.exe (pipe msg)
		$settingobj->readLUpdateDLStatus();
		// get downloaded data size (com veriable)
		$progress = $settingobj->getLUpdateDLProgress();
		// get final data size (com veriable)
		$max = $settingobj->getLUpdateDLMax();
	//	$progress = 10;
	//	$max = 100;
		if($progress > $max)
		{
			if($max == 2)
			{	// Maintanence is expired but update is available
				$isMsg		= true;
				$submitSty	= 'msgWhite';
				$dlDisabled	= ' disabled';
				$verStr		= intval($progress%65536);						// Write the third digi
				$verStr		= intval(($progress/65536)%256).".$verStr";		// Write the minor version
				$verStr		= intval($progress/16777216).".$verStr";		// Write the major version
				$buyMMsg	= get_cm_var('setcfg_lub_no_maint').' '.$buyMLnk;
				$luText		= get_cm_var('setcfg_lub_last_elig_L').$verStr.get_cm_var('setcfg_lub_last_elig_R');
				//$msgText	= "<label>".$buyMMsg."</label><br><label>".$luText."</label><hr><hr>";
				$msgText	= $buyMMsg." ".$luText;
				$lufVal		= '3';
			}
			else if($max == 1)
			{	// Maintanence is not expired and update is available
				$isMsg		= true;
				$submitSty	= 'msgWhite';
				$dlDisabled	= ' disabled';
				$verStr		= intval($progress%65536);						// Write the third digi
				$verStr		= intval(($progress/65536)%256).".$verStr";		// Write the minor version
				$verStr		= intval($progress/16777216).".$verStr";		// Write the major version
				$luText		= get_cm_var('setcfg_lub_dl_latest_L').$verStr.get_cm_var('setcfg_lub_dl_latest_R');
				$msgText	= $luText;
				$lufVal		= '3';
			}
			else
			{
				unset($lUDLSRefresh);
				switch($progress)
				{
					case 1:		// Maintanence is not expired and no update available
	//					$luText		= get_cm_var('setcfg_lub_up2date');
	//					$submitSty	= 'msgGreen';
	//					$luflag		= 'lUNoAction';
						$isMsg		= true;
						$submitSty	= 'msgWhite';
						$btnType	= 'button';
						$dlDisabled	= ' disabled';
						$luflag		= 'liveUpdate';
						$msgText	= get_cm_var('setcfg_lub_up2date');
						$startFlag	= 1;
						break;
					case 2:		// Maintanence is expired and no update available
						$isMsg		= true;
						//$luText	= get_cm_var('setcfg_lub_expired');
						$submitSty	= 'msgBlue';
						$btnType	= 'button';
						$dlDisabled	= ' disabled';
						$luflag		= 'liveUpdate';
						//$lufVal	= '3';
						$msgText	= get_cm_var('setcfg_lub_no_maint').' '.$buyMLnk;
						$startFlag	= 1;
						break;
					case 4:		// Download Fail
						$luText		= get_cm_var('setcfg_lub_fail_04');
						$submitSty	= 'msgRed';
						$luflag		= 'lUNoAction';
						$startFlag	= 1;
						break;
					case 5:		// Update folder is not found
						$luText		= get_cm_var('setcfg_lub_fail_05');
						$submitSty	= 'msgRed';
						$luflag		= 'lUNoAction';
						$startFlag	= 1;
						break;
					case 6: 	// Fail to run setup.exe
						$luText		= get_cm_var('setcfg_lub_fail_06');
						$submitSty	= 'msgRed';
						$luflag		= 'lUNoAction';
						$startFlag	= 1;
						break;
					case 7: 	// Stop user update from other device
						$luText		= get_cm_var('setcfg_lub_fail_07');
						$submitSty	= 'msgRed';
						$luflag		= 'lUNoAction';
						$dlDisabled	= ' disabled';
						break;
					case 8:		// User has no expiry date, or no mac address
						$isMsg		= true;
						//$luText	= get_cm_var('setcfg_lub_no_maint').' '.$buyMLnk;
						$submitSty	= 'msgWhite';
						$btnType	= 'button';
						$dlDisabled	= ' disabled';
						$luflag		= 'liveUpdate';
						//$lufVal	= '3';
						$msgText	= get_cm_var('setcfg_lub_no_maint').' '.$buyMLnk;
						break;
					default:	// Unhandled error
						//$luText		= get_cm_var('setcfg_lub_fail_00')." (errno : $progress)";
						//$submitSty	= 'msgRed';
						//$btnType	= 'button';
						$isMsg		= true;
						$msgText	= get_cm_var('setcfg_lub_fail_00')." (errno : $progress)";
						$submitSty	= 'msgWhite';
						$btnType	= 'button';
						$dlDisabled	= ' disabled';
						$luflag		= 'liveUpdate';
						break;
				}
			}
		}
		else
		{	// Update file is downloading and show the download state
			if($progress == 0 || $max == 0)
				$percentNum = 0;
			else
				$percentNum = $progress/$max*100;

			$luText = get_cm_var('setcfg_lub_waiting');

			if($progress == 1 && $max == 1)
			{	// Download file is extracted
				$dlDisabled	= ' disabled';
				$luText		= get_cm_var('setcfg_lub_ready');
				$submitSty	= 'msgGreen';
				$luflag		= 'lUNoAction';
			}
			else if($percentNum == 100)
			{	// Update is downloaded and it is going to be extracted
				$dlDisabled	= ' disabled';
				$luText		= get_cm_var('setcfg_lub_prepare');
				$submitSty	= 'btnBlue';
			}
			else
			{	// Update file is being downloaded from the Internet
				if($percentNum == 0)
					$sBarLen = 0;
				else
				{
					$dlDisabled	= ' disabled';
					$showRestart= '';
					if($getDLStatus >= 1)
						$luText	= get_cm_var('setcfg_lub_cancel').'('.$getDLStatus.')';
					else
						$luText	= get_cm_var('setcfg_lub_download');
					$luText		.= ' '.sprintf('%d', $percentNum).'%';
					$sBarLen	= intval($lBtnWidth*$percentNum/100);
					$sBLenStr	= ' style="width: '.$sBarLen.'px"';
				}
			}
		}

		if($isMsg)
		{
			//echo "<label>".$luText."</label>".$buyMLnk."<hr>";
			echo $msgText;
		}
		else
		{
			echo "<input class=\"$submitSty\" type=\"$btnType\" value=\"$luText\"$dlDisabled/>";
			echo "<input class=\"$barStyle\"$sBLenStr type=\"button\"/>";
			echo "<input class=\"btnSpace\" type=\"button\" value=\" \"/>";
		}
		echo "<input type=\"hidden\" name=\"$luflag\" value=\"$lufVal\"/>";
		echo "<input type=\"hidden\" id=\"startFlag\" value=\"".$startFlag."\"/>";
		exit();
	}

}

// Being used by FSUpdater to extract Update.zip with no reply
// It can be test with url "http://localhost:5787/liveUpgradeBtn.php?lUExtracting=0" (It is for default setting)
if(isset($lUExtracting))
{
	//echo "Try extract\n";
	// extract live update file from FirstSpot root directory
	$rootPath	= $settingobj->getFsPath();

	$zip		= new ZipArchive;
	$res		= $zip->open($rootPath.'Update.zip');
	if ($res === TRUE)
	{
		//echo "Do extract\n";
		$zip->extractTo($rootPath.'Update\\');
		$zip->close();
	}
	//else
		//echo "Open fail(".$res.")\n";
	exit();
}

$settingobj = null;

$lUJScript .= '</script>';
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
	<title>FirstSpot Live Update Button</title>
	<style type="text/css">
<!--
		html, body
		{
			background: rgba(255,255,255,0.2);
			margin:0;
			padding:0;
			height:100%;
		}

		body
		{
			overflow:hidden;
			display: table;		<?// Key for setting content to center?>
			width: 100%;		<?// Key for setting content to center?>
		}

		div.container,input
		{<?// Button style?>
			color: black;
			font-family: Tahoma, Verdana, serif;
			font-size: 10pt;
			padding: 2px 4px;
			text-decoration: none;
		}

		hr,input.udbtn,input.udbtnS,input.etsGreen,input.dlsBlue,input.btnSpace,
		input.msgGreen,input.btnBlue,input.msgRed,input.msgGrey,input.msgBlue,input.msgWhite
		{<?// First Line margin setting?>
			margin: <?=($btnBorder*2)?>px auto;
		}

		input.btnSpace2,input.udbtn2,input.udbtnS2
		{<?// Line >1 margin setting?>
			margin-bottom: <?=($btnBorder*2)?>px;
		}

		input.udbtn,input.udbtn2,input.udbtnS,input.udbtnS2,input.btnBlue
		{<?// Clickable button border?>
			border: 2px solid black;
		}

		input.msgGreen,input.msgGrey,input.msgBlue,input.msgRed,input.msgWhite
		{<?// Msg button border?>
			border: 2px solid transparent;
		}

		input.udbtn,input.udbtn2,input.udbtnS,input.udbtnS2,input.msgGreen,input.btnBlue,input.msgRed,input.msgGrey,input.msgBlue,input.msgWhite
		{<?// Button z index?>
			z-index: 98;
		}

		input.btnSpace,input.btnSpace2
		{<?// Unuse button style?>
			border: 2px solid transparent;
			background: transparent;
		}

		input.etsGreen,input.dlsBlue
		{<?// Status bar style?>
			border: 2px solid transparent;
			width: 0%;
			z-index: 97;
		}

		input.udbtn,input.msgWhite,input.udbtn2,input.udbtnS,input.udbtnS2,input.msgGrey
		{<?// Normal button color?>
			background: rgba(0,0,0,0.1);
		}

		input.udbtnS:hover,input.udbtnS2:hover
		{<?// Normal button color on key up?>
			background: rgba(0,0,0,0.05);
		}

		input.etsGreen
		{<?// Green element with shadow?>
			background: #40EA40;
		}

		input.msgGreen
		{<?// Green element?>
			background: #39E339;
		}

		input.dlsBlue
		{<?// Blue element with shadow?>
			background: #54AFF1;
		}
	
		input.btnBlue,input.msgBlue
		{<?// Blue element?>
			background: #4DA8EA;
		}

		input.msgRed
		{<?// Red element?>
			background: #FF4040;
		}

		input.msgWhite,.whiteDLG,.bigBG
		{<?// White element?>
			background: #FFFFFF;
		}

		input.udbtn,input.msgWhite,input.udbtn2,input.udbtnS,input.udbtnS2,input.etsGreen,input.dlsBlue,input.msgGreen,input.btnBlue,input.msgRed,input.msgGrey,input.msgBlue
		{<?// Set element top left position to center?>
			position: absolute;
			left: 50%;
		}

		input.udbtn,input.msgWhite,input.udbtn2,input.msgGreen,input.btnBlue,input.msgRed,input.msgGrey,input.msgBlue
		{<?// Long width?>
			width: <?=$lBtnWidth?>px;
		}

		input.udbtn,input.msgWhite,input.udbtn2,input.etsGreen,input.dlsBlue,input.msgGreen,input.btnBlue,input.msgRed,input.msgGrey,input.msgBlue
		{<?// Set top left position to center for element with long width?>
			margin-left: <?=($lBtnWidth/2*-1)?>px;
		}

		input.udbtnS,input.udbtnS2
		{<?// Set element to short width and top left position to its center?>
			width: <?=$sBtnWidth?>px;
			margin-left: <?=($sBtnWidth/2*-1)?>px;
		}

		input.udbtnS2
		{
			bottom:		0px;
		}

		input.left
		{
			margin-left: <?=($sBtnWidth+$btnBorder)?>px;
		}

		input.right
		{
			margin-left: <?=$btnBorder?>px;
		}

		.whiteDLG
		{
			width:			420px;
			display:		inline-block;
			position:		relative;
		}

		.bigBG
		{
			display:		table-cell;	<?// Key for setting content to center?>
			text-align:		center;		<?// Key for setting content to center?>
			vertical-align:	middle;		<?// Key for setting content to center?>
		}

		.XButtonSpace
		{
			width:			60px;
			height:			60px;
			top:			-30px;
			right:			-30px;
			border:			0px;
			border-radius:	30px;
		}

		.XButton,.XButtonSpace
		{<?// Position of the close button?>
			position:		fixed;
		}

		.XButton
		{<?// Style of the close button display?>
			background:		#FFF;
			color:			#000;
			font-family:	'Helvetica', 'Arial', sans-serif;
			font-size:		20px;
			height:			0px;
			top:			0px;
			right:			3px;
			text-align:		center;
			z-index:		100;
		}

		.XButtonSpace
		{<?// Style of the clickable close button?>
			background:		rgba(160,160,160,0.5);
			color:			transparent;
			z-index:		101;
		}

		.XButtonSpace:hover
		{<?// Style of the clickable close button when mouse on it?>
			background:		rgba(0,0,0,0.1);
		}

		hr
		{
			border-color:	transparent;
		}

		div.container
		{
<?/*		font-weight:	bold;	*/?>
			text-align:		left;
		}

-->
	</style>
	<?=$lUJScript;?>
	</head>
	<body>
	<div id="closeLUBSpace" class="XButtonSpace" onclick="closeLUB()"></div>
	<div id="closeLUB" class="XButton">X</div>
		<div class="bigBG">
		<form class="whiteDLG" name="FSLUBtn" id="FSLUBtn" action="liveUpgradeBtn.php" method="post">
			<div id="statusBar" class="container">
				<input id="keyBtn" class="<?=$submitSty;?>" type="submit" value="<?=$luText;?>"<?=$dlDisabled;?>/>
				<input class="<?=$barStyle;?>"<?=$sBLenStr;?> type="button"/>
				<input class="btnSpace" type="button" value=" "/>
				<input type="hidden" name="<?=$luflag;?>" value="0"/>
				<input type="hidden" id="startFlag" value="<?=$startFlag?>"/>
			</div>
			<div id="dlAction"<?=$showRestart;?>>
				<input class="udbtnS2" type="button" id="l_button" value="<?=get_cm_var('setcfg_lub_restart_btn');?>" onclick="redoUpgrade()"/>
				<!--input class="udbtnS2 right" type="button" id="r_button" value="Cancel" onclick="stopUpgrade()"/-->
				<input class="btnSpace2" type="button"/>
			</div>
			<?/*div id="bmAction"<?=$showBuyMain;?>>
				<input class="udbtn2" type="button" id="b_button" value="<?=get_cm_var('setcfg_lub_buy_maint');?>"  onclick="window.open('http://patronsoft.com/firstspot/buy_now_3.html', '_blank');"/>
				<!--input class="udbtnS2 right" type="button" id="r_button" value="Cancel" onclick="stopUpgrade()"/-->
				<input class="btnSpace2" type="button"/>
			</div*/?>
		</form>
		</div>
	</body>
</html>