var glo_isEditMode = false; //indicate whether edit mode is on/off

function editModeSwitch(isEMode) {
	/*
	*  Purpose: Enable or Disable the userinfoform to allow user editing
	*/

	if(isMultipleUserSelected() && isEMode) // do nothing when more than one user is selected to be edit
		return;

	var tempNode;
	var oFrameDoc = getFrameDocument(frames['loadplans']);
	var oLoadPlan = oFrameDoc.getElementById('loadplan');
	var isDisplay = new Array();
	isDisplay[0] = isEMode?'':'none';
	isDisplay[1] = isEMode?'none':'';

	glo_isEditMode = isEMode;

	//Show necessary object
	document.getElementById('dcUserCheck').style.display = (document.userinfoform.status.value!='Offline')?isDisplay[0]:'none';	//disconnect user if user is online
	document.getElementById('chpwRow').style.display = isDisplay[0];	//change password
	document.getElementById('cfpwRow').style.display = isDisplay[0];	//confirm password
	document.getElementById('passive').style.display = isDisplay[0];	//passive login
	document.getElementById('addtimeleft').style.display = isDisplay[0];//add timeleft
	document.getElementById('addmonthlypass').style.display = '';		//add monthly pass <<< hide in any case
	document.getElementById('addQuotaRow').style.display = isDisplay[0];//add DL quota
	document.getElementById('addQuotaULRow').style.display = isDisplay[0]; //add UL quota
	document.getElementById('addQuotaSHARow').style.display = isDisplay[0]; //add TOTAL quota
	document.getElementById('saveBtn').style.display = isDisplay[0]; //userinfoform save button
	document.getElementById('cancelBtn').style.display = isDisplay[0]; //userinfoform cancel button

	//unnecessary object
	tempNode = document.getElementById('prepaidBtn'); //add prepaid user
	if (tempNode)	//availability of prepaid button in search user mode
		tempNode.style.display = isDisplay[1];

	tempNode = document.getElementById('addUserBtn'); //add user
	if (tempNode)	//availability of addUser button in search user mode
		tempNode.style.display = isDisplay[1];

	document.getElementById('editUserBtn').style.display = isDisplay[1]; //edit user
	document.getElementById('deleteUserBtn').style.display = isDisplay[1];  //delete user
	document.getElementById('refresh_btn').style.display = isDisplay[1];  //delete user
	document.getElementById('extraInfoBtn').style.display = isDisplay[1];  //delete user

	document.getElementById('extraInfoBtn3').style.display = isDisplay[0];
	document.getElementById('extraInfoBtn3').disabled = false;
	document.getElementById('extraInfoBtn').style.display = isDisplay[1];

	oLoadPlan.disabled = !isEMode; //plan selection
	if(!isEMode){
		document.forms['userinfoform']['signupData'].value = '';
		oLoadPlan.selectedIndex = -1; // select nothing of plan list if cancel edit
	}
	changeUser(); //pass the job of enable/disable different elements to changeUser()
}

function freezeForm(formName) {
	//disabled all field in form
	with (document.forms[formName]) {
		for (var i=0; i<elements.length; i++) {
			//disable all form elements in userinfoform
			if (elements[i].type && elements[i].type != "fieldset") //prevent disabling 'fieldset' element
				elements[i].disabled = true; //Disable non-text field
		}
	}
}

function  unfreezeForm(formName) {
	//Enable all form elements
	with (document.forms[formName]) {
		for (var i=0; i<elements.length; i++) {
			if (elements[i].type && elements[i].type != "fieldset") { //prevent altering 'fieldset' element
				elements[i].disabled = false;
				elements[i].readOnly = false;
			}
		}
	}
}

function cancelAdd() {
	/*
	*  Purpose: Restore userinfoform when user click 
	*  cancel in adduser form.
	*/
	var oFrameDoc = getFrameDocument(frames['loadplans']);
	var oLoadPlan = oFrameDoc.getElementById('loadplan');
	document.userForm.userList.disabled = false; //enable the userList
	document.getElementById('userinfo').style.display='';
	document.getElementById('adduser').style.display='none';

	//show button
	tempNode = document.getElementById('prepaidBtn'); //add prepaid user
	if (tempNode) { //prepaid button is not available in search user mode
		tempNode.style.display = '';
	}
	tempNode = document.getElementById('addUserBtn'); //add user
	if (tempNode) { //addUser button is not available in search user mode
		tempNode.style.display = '';
	}
	document.getElementById('editUserBtn').style.display = ''; //edit user
	document.getElementById('deleteUserBtn').style.display = '';  //delete user
	document.getElementById('resetquotaBtn').style.display = ''; //reset quota
	document.getElementById('refresh_btn').style.display = '';  //delete user
	document.getElementById('extraInfoBtn').style.display = '';  //delete user

	document.forms['addform']['signupData'].value = '';

	changeUser(); //refresh the userinfoform
	oLoadPlan.disabled = true; //disable plan selection
	oLoadPlan.selectedIndex = -1;
}

function editActivateAcc(value){
	var i;
	for (i=0; i<3; i++)
		document.userinfoform.usr_bt_acc[i].checked=false;

	document.userinfoform.edit_act_date.disabled=true;
	document.userinfoform.edit_act_time.disabled=true;
	document.userinfoform.edit_act_date.value='';
	document.userinfoform.edit_act_time.value='';
	document.userinfoform.usr_bt_acc[value].checked=true; 
	if(value=='2'){
		document.userinfoform.edit_act_date.disabled=false;
		document.userinfoform.edit_act_time.disabled=false;
	}
}

function editExpireAcc(value){
	if(value=='0' && document.userinfoform.usr_cb_acc0.checked==true){
		document.userinfoform.usr_cb_acc1.checked=false;
		document.userinfoform.usr_cb_acc2.checked=false;
		document.userinfoform.usr_cb_acc3.checked=false;
		document.userinfoform.usr_cb_acc4.checked=false;
		document.userinfoform.usr_cb_acc5.checked=false;
		if(isOffline())
			document.userinfoform.edit_timeleft.value='';

		document.userinfoform.edit_addtimeleft.value='';
		document.userinfoform.edit_login.value='';
		document.userinfoform.edit_exp_date.value='';
		document.userinfoform.edit_exp_time.value='';
		document.userinfoform.edit_days.value='';
		document.userinfoform.edit_expire_year.value='';
		document.userinfoform.edit_addmonthlypass.value='';
	}
	else if (value!='0' && value!='6' && document.userinfoform.usr_cb_acc0.checked==true)
		document.userinfoform.usr_cb_acc0.checked=false;

	document.userinfoform.edit_timeleft.disabled=true;
	document.userinfoform.edit_addtimeleft.disabled=true;
	document.userinfoform.edit_login.disabled=true;
	document.userinfoform.edit_exp_date.disabled=true;
	document.userinfoform.edit_exp_time.disabled=true;
	document.userinfoform.edit_days.disabled=true;
	document.userinfoform.select_edit_timeleft.disabled=true;
	document.userinfoform.select_edit_expire_month.disabled=true;
	document.userinfoform.edit_expire_year.disabled=true;
	document.userinfoform.edit_addmonthlypass.disabled=true;

	if(document.userinfoform.usr_cb_acc1.checked==true && document.userinfoform.multiple_login.checked!=true)
	{
		document.userinfoform.edit_timeleft.disabled=false;
		if(!isOffline()){
			document.userinfoform.edit_timeleft.readOnly=true;
			document.userinfoform.edit_addtimeleft.disabled=false;
		}
	}

	if(document.userinfoform.usr_cb_acc2.checked==true && document.userinfoform.multiple_login.checked!=true)
		document.userinfoform.edit_login.disabled=false;

	if(document.userinfoform.usr_cb_acc3.checked==true){
		if(isOffline()){
			document.userinfoform.edit_exp_date.disabled=false;
			document.userinfoform.edit_exp_time.disabled=false;
		}
	}

	if(document.userinfoform.usr_cb_acc4.checked==true && document.userinfoform.multiple_login.checked!=true){
		if(isOffline()){
			document.userinfoform.edit_days.disabled=false;
			document.userinfoform.select_edit_timeleft.disabled=false;
		}
	}

	if(document.userinfoform.usr_cb_acc5.checked==true)
	{
		if(isOffline()){
			document.userinfoform.select_edit_expire_month.disabled=false;
			document.userinfoform.edit_expire_year.disabled=false;
		}else{
			document.userinfoform.select_edit_expire_month.disabled=true;
			document.userinfoform.select_edit_expire_month.readOnly=true;
			document.userinfoform.edit_expire_year.disabled=true;
			document.userinfoform.edit_expire_year.readOnly=true;
			document.userinfoform.edit_addmonthlypass.disabled=false;
		}
	}

	if(document.userinfoform.usr_cb_acc0.checked==false){
		if(value=='1' && document.userinfoform.usr_cb_acc1.checked==true){
			document.userinfoform.usr_cb_acc1.checked=true;
			if(isOffline())
				document.userinfoform.edit_timeleft.disabled=false; 
			else
				document.userinfoform.edit_addtimeleft.disabled=false;
		}   
		else if (document.userinfoform.usr_cb_acc1.checked==false)
		{
			if(isOffline())
				document.userinfoform.edit_timeleft.value='';
			document.userinfoform.edit_addtimeleft.value='';
		}

		if(value=='2' && document.userinfoform.usr_cb_acc2.checked==true){
			document.userinfoform.usr_cb_acc2.checked=true;
			document.userinfoform.edit_login.disabled=false;
		}
		else if (document.userinfoform.usr_cb_acc2.checked==false)
			document.userinfoform.edit_login.value='';

		if(value=='3' && document.userinfoform.usr_cb_acc3.checked==true){
			document.userinfoform.usr_cb_acc3.checked=true;
			document.userinfoform.edit_exp_date.disabled=false;
			document.userinfoform.edit_exp_time.disabled=false;
		}
		else if (document.userinfoform.usr_cb_acc3.checked==false){
			document.userinfoform.edit_exp_date.value='';
			document.userinfoform.edit_exp_time.value='';
		}

		if(value=='4' && document.userinfoform.usr_cb_acc4.checked==true){
			document.userinfoform.usr_cb_acc4.checked=true;
			document.userinfoform.edit_days.disabled=false;
			document.userinfoform.select_edit_timeleft.disabled=false;  
		}
		else if (document.userinfoform.usr_cb_acc4.checked==false)
			document.userinfoform.edit_days.value='';

		if(value=='5' && document.userinfoform.usr_cb_acc5.checked==true){
			document.userinfoform.usr_cb_acc5.checked=true;
			if(isOffline()){
				document.userinfoform.select_edit_expire_month.disabled=false;
				document.userinfoform.edit_expire_year.disabled=false;
			}
			else{
				document.userinfoform.edit_addmonthlypass.disabled=false;
			}
		}   
		else if (document.userinfoform.usr_cb_acc5.checked==false)
		{
			if(isOffline()){
				document.userinfoform.edit_expire_year.value='';
			}
			document.userinfoform.edit_addmonthlypass.value='';
		}
	}
}

function rbtn(value){
	var i;
	document.userinfoform.user_bt_num.disabled=true;
	document.userinfoform.user_bt_num_dl.disabled=true;
	document.userinfoform.user_bt_num.value='';
	document.userinfoform.user_bt_num_dl.value='';

	for (i=0; i<6; i++)
		document.userinfoform.usr_bt_mode[i].checked=false;

	document.userinfoform.usr_bt_mode[value].checked=true; 
	if(value=='5')
	{
		document.userinfoform.user_bt_num.disabled=false;
		document.userinfoform.user_bt_num_dl.disabled=false;
	}
}

function bwparamType(value, type){
	var myBwquota;
	var myBn;
	var myEA;
	//There are Three Type of Element in webpage
	switch(type){
		case 'UL':
			myBw = document.userinfoform.bwquota1UL;
			myBn = document.userinfoform.Bn_bwcountUL;
			myEA = document.userinfoform.edit_addquotaUL;
			break;
		case 'SHA':
			myBw = document.userinfoform.bwquota1SHA;
			myBn = document.userinfoform.Bn_bwcountSHA;
			myEA = document.userinfoform.edit_addquotaSHA;
			break;
		default:
			myBw = document.userinfoform.bwquota1;
			myBn = document.userinfoform.Bn_bwcount;
			myEA = document.userinfoform.edit_addquota;
			break;
	}

	for (var i=0; i<myBn.length; i++)
		myBn[i].checked=false;

	if(type == 'SHA')
		myBn[parseInt(value)].checked=true;
	else
		myBn[parseInt(value)+1].checked=true;

	myBw.disabled=true;
	myBw.value='';
	myEA.disabled=true;

	if(value=='2')
	{
		myBw.disabled=false;

		if(isOffline()){
			myEA.disabled=true;
		}else{
			var istrue = (myBw.value=='');
			myBw.readOnly= !istrue;
			myBw.disabled= !istrue;
			myEA.disabled= istrue;
		}
	}
}

function accparam(value){
	document.userinfoform.acc_enable.checked=false;
	document.userinfoform.acc_disable.checked=false;
	if(value=='0')
		document.userinfoform.acc_enable.checked=true;

	if(value=='1')
		document.userinfoform.acc_disable.checked=true;
}

function usr_abw_disable_all(){
	show_hide( 'usr_resetabw_monthly', 1, 'none' );
	show_hide( 'usr_resetabw_daily', 1, 'none' );
	show_hide( 'usr_resetabw_lastrbw', 1, 'none' );
}

function usr_abw_enable_textbox(){
	show_hide( 'usr_resetabw_monthly', 1, '' );
	show_hide( 'usr_resetabw_daily', 1, 'none' );
	show_hide( 'usr_resetabw_lastrbw', 1, '' );
}

function usr_abw_disable_textbox(){
	show_hide( 'usr_resetabw_monthly', 1, 'none' );
	show_hide( 'usr_resetabw_daily', 1, '' );
	show_hide( 'usr_resetabw_lastrbw', 1, '' );
}

function show_hide(id, total_num,isshow){
	for (i = 0; i <= total_num; i++){
		content = document.getElementById(id + i);
		content.style.display = isshow;
	}
}

function edit_passive(){
	var isPLogin = document.userinfoform.chg_passive_login.checked; // checkbox under password, checked if Passive Login enabled
	var bgColor = isPLogin?'#DDDDDD':'#FFFFFF';

	document.userinfoform.chgpassword.style.background = bgColor;
	document.userinfoform.chgconfirmpass.style.background = bgColor;
	document.userinfoform.chgpassword.disabled = isPLogin;
	document.userinfoform.chgconfirmpass.disabled = isPLogin;

	document.userinfoform.multiple_login.checked = false;
	document.userinfoform.multiple_login.disabled = isPLogin;

	if(isPLogin){
		document.userinfoform.chgpassword.value = "";
		document.userinfoform.chgconfirmpass.value = "";
	}

	edit_multiple();
}

function disableRestrictedFunctionInUserinfoform() {
	/*
	*  Purpose:
	*  It disable some elements in userinfoform according to
	*  the glo_version value.
	*/
	// 20090518 - Remove Start, add Premium
	switch (glo_version) {
		case "standard":
			with (document.userinfoform) {
				for (var i=0; i<usr_bt_mode.length; i++) {
					usr_bt_mode[i].disabled = true;
				}
				usr_bt_mode[4].checked = true; //no throttling
				Bn_bwcountUL[3].disabled = true; //no UL quota enforcement
				Bn_bwcount[3].disabled = true; //no quota enforcement
				bwquota1.disabled = true;
				bwquota1UL.disabled = true;
			}
			break;
		case "advanced":
			break;
		case "premium":
			break;
		case "trial":
			break;
	}
}

function disableRestrictedFunctionInAddform() {
	/*
	*  Purpose:
	*  It disable some elements in addform according to
	*  value stored in glo_version
	*/
	switch (glo_version) {
		case "start":
			with (document.addform) {
				bwcountUL[2].disabled = true; //no upload data transfer count
				bwcount[2].disabled = true; //no download data transfer count
			}
		case "standard":
			with (document.addform) {
				userMACaddr1.disabled = true; //no MAC user
				userMACaddr2.disabled = true;
				userMACaddr3.disabled = true;
				userMACaddr4.disabled = true;
				userMACaddr5.disabled = true;
				userMACaddr6.disabled = true;
				add_name_mode[2].disabled = true;
				//macasuser.disabled = true;
				userIPaddr1.disabled = true; //no IP user
								userIPaddr2.disabled = true;
								userIPaddr3.disabled = true;
								userIPaddr4.disabled = true;
								add_name_mode[3].disabled = true;
				for (var i=0; i<add_bt_mode.length; i++) {
					add_bt_mode[i].disabled = true; //no bandwidth throttling
				}
				user_bt_num_add.disabled = true;
				user_bt_num_add_dl.disabled = true;
				bwcountUL[3].disabled = true; //no UL quota enforcement
				bwcount[3].disabled = true; //no DL quota enforcement
				bwquotaUL.disabled = true;
				bwquota.disabled = true;
			}
			break;
		case "advanced":
			break;
		case "trial":
			break;
	}
}

function edit_recur_disabled(instance){
	document.getElementById("edit_schedule").style.display = ( instance.value == 1 )?'':'none';
}

function edit_multiple(notChangeDisable){
	var isMLogin	= document.userinfoform.multiple_login.checked; // checked if multiple login is enabled
//	var bgColor		= isMLogin?'#DDDDDD':'#FFFFFF';
//	var setClass	= isMLogin?"dimcaptionbig":"captionbig";

	if (notChangeDisable == false){
		document.userinfoform.multiple_login_max_limit.disabled = !isMLogin;

		if(!isMLogin){
			editExpireAcc(6); // special
		}
		for(var key in muiltLoginElementName1 ){ // all element's names are stored in common_functions.php
		elementName= muiltLoginElementName1[key];

		//	document.getElementById(elementName).style.background = bgColor;
			document.getElementById(elementName).disabled = isMLogin;
			
		}	
	}
	if(!isMLogin)
		document.userinfoform.multiple_login_max_limit.value = '';
	
	document.userinfoform.multiple_login_max_limit.style.background = '#FFFFFF';


}

//\\ 20121119 >>> 000 - Disable next login change password if passive login enabled
function lcpwDisablingE(){
	var notPLogin = (document.userinfoform.mac_map[1].checked && glo_isEditMode); // Disable Passive Login
	var setClass = notPLogin?"captionbig":"dimcaptionbig";

	document.getElementById("usr_login_cpw_col_1").className= setClass;
	document.getElementById("usr_login_cpw_col_2").className= setClass;
	document.userinfoform.login_cpw[0].disabled = !notPLogin;
	document.userinfoform.login_cpw[1].disabled = !notPLogin;
	if(!notPLogin)
		document.userinfoform.login_cpw[1].checked = true;
}

function onlineEdit(){
	var enable	= document.userinfoform.editDCon.checked;
	document.userinfoform.editDCon.value = enable?"1":"0";
	if(enable !== true)
		enable	= false;
	if(document.userinfoform.usr_cb_acc1.checked==true && document.userinfoform.multiple_login.checked!=true){
		document.userinfoform.edit_timeleft.readOnly=!enable;
		document.userinfoform.edit_addtimeleft.disabled=enable;
	}
	if(document.userinfoform.usr_cb_acc3.checked==true){
		document.userinfoform.edit_exp_date.disabled=!enable;
		document.userinfoform.edit_exp_time.disabled=!enable;
	}
	if(document.userinfoform.usr_cb_acc4.checked==true && document.userinfoform.multiple_login.checked!=true){
		document.userinfoform.edit_days.disabled=!enable;
		document.userinfoform.select_edit_timeleft.disabled=!enable;
	}
	if(document.userinfoform.usr_cb_acc5.checked==true)
	{
		document.userinfoform.select_edit_expire_month.disabled=!enable;
		document.userinfoform.edit_expire_year.disabled=!enable;
		document.userinfoform.select_edit_expire_month.readOnly=!enable;
		document.userinfoform.edit_expire_year.readOnly=!enable;
		document.userinfoform.edit_addmonthlypass.disabled=enable;
	}
}

function isOffline(){
	return ((document.userinfoform.status.value=='Offline') || document.userinfoform.editDCon.checked==true);
}