<?php
// security check
require_once "secureLogin.php";
$success = true;
if (isset($logincorrect) && $logincorrect=="true") { //previous login sucessfully
    include_once("..\\authserv\\common_functions.php");
    $settingobj = new COM("FSCONFIG.Cfgmgr") or die("findUserDetail.php FSCONFIG.Cfgmgr Object cannot be created!");
    $dsn_file = $settingobj->getKey( "Datasource", "gateway");
    $dsn_source=fopen($dsn_file, "r") or die("Cannot open DSN source file!");
    $dsn="";
    if (!feof($dsn_source)) { $line=fgets($dsn_source,512); }
    while (!feof($dsn_source)) {
        $line=fgets($dsn_source,512);
        if (trim($line)!="") { $dsn=$dsn.$line; }
    }
    $dsn=str_replace("\r\n",";",$dsn);
    $firstspotusertable=$settingobj->getKey( "Datasource_Tablename", "gateway"); 
    $outval = $settingobj->getKey( "bt_low", "bw_throttle");
    if($outval!="")       
      $low=$outval;
    $outval = $settingobj->getKey( "bt_medium", "bw_throttle");
    if($outval!="")       
      $medium=$outval;
    $outval = $settingobj->getKey( "bt_high", "bw_throttle");
    if($outval!="")       
      $high=$outval;

    $userDB=odbc_connect($dsn,"","");
    if ($userDB) {
        $query="SELECT * FROM $firstspotusertable WHERE name = '$name';"; 
        $result=odbc_exec($userDB,$query);
        while(odbc_fetch_row($result)) {
            $arrUserDetail = makeUserDetailFromODBCResult($result,$low,$medium,$high);
        }
		
		// special for multiple logins
		if ($arrUserDetail[46] == 3 || $arrUserDetail[46] == 4){ // [46]: acctype
			//\\ 20121112 >>> 000 - Add Passive Multiple Login Get Child Account Name
			if ($arrUserDetail[35] != 2){ // [35]: macmap
				$num = 0;
				$query="SELECT count(*) as num FROM $firstspotusertable WHERE name like '".$name."[_]_%' AND acctype = 5;"; 
				$result=odbc_exec($userDB,$query);
				$num=odbc_result($result,"num"); // number of user are using these user to multiple login

				// using reserved1 to represent number of user are using these user to multiple login
				if ($num >0)
					$arrUserDetail[4] = $num; // [4]: reserved1
				$arrUserDetail[51] = '';
			}
			else {
				$namelist = "";
				$onlineCount = 0;
				$query="SELECT * FROM $firstspotusertable WHERE name like '".$name."(%' AND acctype = 6 order by name;"; 
				$result=odbc_exec($userDB,$query);
				
				while(odbc_fetch_row($result)){
					if (odbc_field_num($result, 'name') == TRUE)
						$namelist = $namelist.odbc_result($result, 'name').":";
					if (odbc_field_num($result, 'reserved1') == TRUE)
						$onlineCount = (odbc_result($result, 'reserved1')!="")?($onlineCount+1):$onlineCount;
				}

				if(strlen($namelist)>0){
					$namelist = rtrim($namelist,":");
					$arrUserDetail[51] = $namelist; // [51]: namelist
					$arrUserDetail[4] = $onlineCount; // [4]: reserved1
				}
				else
					$arrUserDetail[51] = "";
			}
		}
		
        odbc_close($userDB);
		
		// Special
		
		$username_plus_scratch_login = $settingobj->getKey('username_plus_scratch_login', 'gateway');
		$accept_v6_scratch_code = $settingobj->getKey('accept_v6_scratch_code', 'gateway');
		$pwd_offload=$settingobj->getKey('pwd_offload', 'gateway');
		$fs_path = $settingobj->getFsPath();
		$def_encrypt_path = $fs_path."dispatcher\\encrypt_pwd.exe";
		$cus_encrypt_path=$settingobj->getKey('encrypt_path', 'gateway');
		$version = $settingobj->getKey('version', 'version');  
		
		if ($username_plus_scratch_login == 'on' && $accept_v6_scratch_code == 'true'){
			if ($arrUserDetail[46] == 0){ // [46]: acctype
				// check username is it number
				if (ctype_digit($arrUserDetail[0])){ // [0]: name
					// check username and password is it equal
					
					$pwd="";
					$encrypt_path ="";

					// 20100503 - Bug fix (Miss checking version)
					if (strcasecmp($pwd_offload, "on") == 0 && (strtolower($version) == 'advanced' || strtolower($version) == 'premium')) {
						$encrypt_path = $cus_encrypt_path;
					}
					else
						$encrypt_path = $def_encrypt_path;
						
					$cmd = "\"".$encrypt_path."\" ".$arrUserDetail[0];
					
					$sys = new sysfunc();
					$pwd = $sys->runCommand($cmd);
					$sys = null;
					
					
					if ($pwd == $arrUserDetail[2]){ // [2]: pwd
						// v6 style scratch code
						// modify acctype
						$arrUserDetail[46] = 2;
					}
				}
			}
		}
		
        $rpcMessage="findUserDetail.php|".join(",",$arrUserDetail)."|ok";
    } else {
        $success = false;
        $rpcMessage="findUserDetail.php||failed";
        $message="database connection failed!";
        $errorlog="database connection failed!";
        $saved="true";
    }
    //$settingobj->Release();
    $settingobj=null;
} else { //login failed
    $success = false;
    $rpcMessage="findUserDetail.php||failed";
    $message="Login failed or session timeout, please login to config manager again.";
    $errorlog="Login failed or sesssion timeout";
    $saved="true";
}
?>
<html>
<body>
<script lang="javascript">
parent.rpcReply('<?=$rpcMessage?>'); //send reply to caller
<?php
    if ($success==false) {
?>
parent.parent.mid_right_bottom.location.reload(); //display error message
<?php
    }
?>
</script>
</body>
</html>
