<?php

require_once "fs_lang.php";
require_once "common_functions.php";
require_once 'generate_common.php';
include "..\\cfgmgr\\db_access.php";
require_once "..\\cfgmgr\\fsAPI.php";

$settingobj = new COM("FSCONFIG.Cfgmgr") or die("resend_email.php FSCONFIG.Cfgmgr Object cannot be created!");
$email_verification = $settingobj->getKey( "self_sign_up_email_verification", "gateway");
$php_path = $settingobj->getKey('gateway_domain', 'gateway');
if($php_path=='')
	$php_path = 'firstspot.org';
$php_path = 'http://'.$php_path.':'.$settingobj->getKey('auth_port', 'gateway');
$email_response_link = $php_path;
$settingobj = null;
//$dbmsg = '';
$displayResult = '';
$message_only = false;

$username = '';
$edate = '';
$resendResult = '';
$email_verify = '';
$refresh = -1;
$timeDiff = -1;

// checking
if ($email_verification != 1){
	// not using email verification
	$displayResult = $lang['email_confirm_error1'];
	$message_only = true;
}
	
if(isset($_POST['code']))
	$code = $_POST['code'];

// Prepare for resend e-mail
if (isset($code) && strlen($code) > 0){
	$de_str = base64_decode($code);
	//$dbmsg .= 'de_str -> '.$de_str.'<br/>';
	list($k,$username) = explode("=", $de_str);
	//$dbmsg .= 'username -> '.$username.'<br/>';

	$myDB = new db();
	$usr_table = $myDB->get_usr_table();

	// check username
	$query="SELECT name, emailVer, edate FROM $usr_table where name = '".$username."'";
	$result=$myDB->query($query);

	if (!odbc_fetch_row($result)) {
		// user not exist
		$displayResult = $lang['email_confirm_error2'];
		$message_only = true;
	}
	else {
		//\\ Confirm account is waitting for verification
		$email_verify=odbc_result($result,"emailVer");
		$edate = odbc_result($result,"edate");
				
		//Update timeleft before dead-line of verification
		$timeDiff = strtotime($edate) - time();
		
		if (strcasecmp($email_verify, "email confirmed") == 0){
			// user already click the email verify link
			$displayResult = $lang['email_confirm_error3'];
			$message_only = true;
		}
		else if($email_verify == ''){
			// user is not using email verification
			$displayResult = $lang['email_confirm_error1'];
			$message_only = true;
		}
	}
}
else{
	$displayResult = $lang['email_confirm_error4'];
	$message_only = true;
}

if(!$message_only){
	//\\ Resend mail proces(Copy from fs_signup.php)
	if( isset($_POST['sendmail'])){
		$sendMail = true;
		$print_err_log = false;
		$export_file = 'email_confirmation.log';
		$output = "";
			
		$curr_time = time();
		if(isset($_SESSION['ssuev_link_content']))
			$en_str = $_SESSION['ssuev_link_content'];
		else
			$en_str = base64_encode("uid=".$username."=");
		$email_response_link .= "/email_callback.php?code=$en_str";
		$to = array();
		$to[0][0] = "to";
		$to[0][1] = $email_verify;
		$to[0][2] = $username;
			
		// hard code
		$filename = "..\\authserv\\email_verification_format.eml";
		$handle = fopen($filename, "rb");
		$contents = fread($handle, filesize($filename));
		fclose($handle);
			
		// replace the tag
		/*
			%confirm_link%
			%username%
		*/
		$count = 0;
		$contents = str_ireplace("%confirm_link%", $email_response_link, $contents, $count);
		// checking is it contain link tag
		//$dbmsg .= 'contents count = '.$count.'<br/>';
		if ($count <= 0){

			$sendMail = false;
			$print_err_log = true;

			$output = date("D M d H:i:s Y")." \t do not send email to user (since email sampe (email_verification_format.eml) do not contain any link tag)\r\n";
		}
		$contents = str_ireplace("%username%", $username, $contents); 
			
		// divide content
		$pos = stripos($contents, "\r\n\r\n");
			
		if ($pos === false){
			// error
		}
			
		$org_header = substr($contents, 0, $pos);
			
		$message_body = strstr($contents, "<!DOCTYPE");	// Hardcode
			
		// get data from content
		$pos_subject_start = stripos($org_header, "Subject: ");
		$pos_subject_end = stripos($org_header, "\r\n", $pos_subject_start);
		$message_subject = substr($org_header, $pos_subject_start + strlen("Subject: "),$pos_subject_end-$pos_subject_start - strlen("Subject: "));

		$pos_to_start = stripos($org_header, "To: ");
		$pos_to_end = stripos($org_header, "\r\n", $pos_to_start);
		$message_to = substr($org_header, $pos_to_start + strlen("To: "),$pos_to_end-$pos_to_start - strlen("To: "));

		//$dbmsg .= 'Mail Info - To : ['.$to.']<br/>';
		//$dbmsg .= 'Mail Info - Subject : ['.$message_subject.']<br/>';
		//$dbmsg .= 'Mail Info - Body : ['.$message_body.']<br/>';
		//$dbmsg .= 'sendMail = './/$dbmsg.'<br/>';
		if ($sendMail){
			$mail_sent = sys_mail( $to, $message_subject, $message_body, setVerifyMail());
			if ($mail_sent!="0"){
				$print_err_log = true;
				$output = date("D M d H:i:s Y")."\t Email Error : $mail_sent\r\n";
			}
		}
		if ($print_err_log){

			if (is_file("..\\log\\".$export_file) == FALSE)
				touch ("..\\log\\".$export_file);
			$fileHandler = fopen ("..\\log\\".$export_file, 'a');
			fwrite ($fileHandler, $output);
			fclose ($fileHandler);
		}
	}
	if($timeDiff > 0){
		// email resend page display
		$displayResult .= $lang['email_resend_msg1'].'<br/>'.$lang['email_resend_msg2'].'['.$edate.']<br/>';
		$displayResult .= $lang['email_resend_msg2b'];
		$displayResult .= '<span id="display_Min"></span> min <span id="display_Sec"></span> sec <br/>';
		$displayResult .= $lang['email_resend_msg3'].'<br/>';
		$displayResult .= ' <input type="submit" value="'.$lang['email_resend_button'].'"><br/>';
		$displayResult .= '<input type="hidden" value="'.$code.'" name="code">';
		//$displayResult .= '<input type="hidden" value="'.$edate.'" name="edate">';
		$displayResult .= '<input type="hidden" value="0" name="sendmail">';
		$displayResult .= $resendResult;
		$displayResult = "<form action=\"".$php_path."/resend_email.php\" method=\"POST\">".$displayResult."</form>";
	}
	else{
		$timeDiff = -1;
		$displayResult = $lang['expiry_date'];
	}
	$refresh = 1;
}
else{
	if(isset($_SESSION['ssuev_link_content']))
		$_SESSION['ssuev_link_content'] = null;
}



$smarty = new SmartyConnect;
$smarty->assign('L_RSEMAIL_CHARSET', metaCharset());
$smarty->assign('L_RSEMAIL_TITLE', $lang['email_resend_title']);
$smarty->assign('L_RSEMAIL_STATUS_MSG', $displayResult);
$smarty->assign('L_RSEMAIL_TIMELEFT', $timeDiff);
$smarty->assign('L_RSEMAIL_REFRESH_TIME', $refresh);
$smarty->assign('J_RSEMAIL_SELF', $php_path."/resend_email.php?code=".base64_encode("uid=$username"));
//$smarty->assign('J_COMMON', $j_common);
//$smarty->assign('DEBUG_MSG', $dbmsg);	//\\=

$smarty->display('resend_email_body.tpl');

?>